{*
* 2007-2017 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2017 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
{if $smarty.get.order_form_list > 0  || $order_form_list == 1}
	<table class="product-form" cellspacing="0" cellpadding="0">
		{foreach $order_details as $order_detail}
			{foreach $order_detail.customizedDatas as $customizationPerAddress}
				{foreach $customizationPerAddress as $customizationId => $customization}
					<table id="addresses-tab" width="100%">
						<tr>
							<td width="33%"><span class="bold"> </span><br/><br/>
								<span>Inovalys Le Mans</span><br/>
								<span>128 rue de Beaugé</span><br/>
								<span>72018 Le Mans</span><br/>
								<span>France métropolitaine</span><br/>
								<span>le-mans.stsa@inovalys.fr</span><br/>
							</td>
							<td width="33%">{if $delivery_address}<span class="bold">{l s='Adresse client' pdf='true'}</span><br/><br/>
									{$delivery_address}
								{/if}
							</td>
							<td width="33%"><span class="bold">{l s='Billing Address' pdf='true'}</span><br/><br/>
								{$invoice_address}
							</td>
						</tr>
					</table>

					<table id="summary-tab" width="100%">
						<tr>
							<th class="header small" valign="middle">{l s='Invoice Number' pdf='true'}</th>
							<th class="header small" valign="middle">{l s='Invoice Date' pdf='true'}</th>
							<th class="header small" valign="middle">{l s='Order Reference' pdf='true'}</th>
							<th class="header small" valign="middle">{l s='Order date' pdf='true'}</th>
							{if $addresses.invoice->vat_number}
								<th class="header small" valign="middle">{l s='VAT Number' pdf='true'}</th>
							{/if}
						</tr>
						<tr>
							<td class="center small white">{$title|escape:'html':'UTF-8'}</td>
							<td class="center small white">{dateFormat date=$order->invoice_date full=0}</td>
							<td class="center small white">{$order->getUniqReference()}</td>
							<td class="center small white">{dateFormat date=$order->date_add full=0}</td>
							{if $addresses.invoice->vat_number}
								<td class="center small white">
									{$addresses.invoice->vat_number}
								</td>
							{/if}
						</tr>
					</table>

					<br>

					{assign var=elementTab value=[]}
					{foreach $customization.datas[$smarty.const._CUSTOMIZE_TEXTFIELD_] as $indice=> $element}
						{append var='elementTab' value=$element index=$element.id_customization_field}
					{/foreach}

					<table>
						<tr class="customization_data {$bgcolor_class}">
							<td><div style="font-weight:bold; font-size: 30px";>{if {$lang_iso} == 'fr'}Formulaire de demande de dosage des anticorps antirabiques par séroneutralisation à faire signer par votre vétérinaire, imprimer et à joindre à votre échantillon lors de l'envoi.{else}Sample submission form for the titration of rabies antibodies by virus neutralisation test{/if}</div><br></td>
						</tr>
					</table>

					{if isset($customization.datas[$smarty.const._CUSTOMIZE_TEXTFIELD_]) && count($customization.datas[$smarty.const._CUSTOMIZE_TEXTFIELD_]) > 0}
						<table class="tableauRage">
							<tr>
								{if {$lang_iso} == 'fr'}
									<th class="titreCategorieRage"><h3>Propriétaire</h3></th>
									<th class="titreCategorieRage"><h3>Vétérinaire</h3></th>
								{else}
									<th class="titreCategorieRage"><h3>Owner</h3></th>
									<th class="titreCategorieRage"><h3>Veterinary surgeon</h3></th>
								{/if}
							</tr>
							<tr>
								{if {$lang_iso} == 'fr'}
									<td>
										<span class="labelRage">Madame/Monsieur: </span><span>{$elementTab[1].value}<br></span>
										<span class="labelRage">Nom: </span><span>{$elementTab[2].value}<br></span>
										<span class="labelRage">Prénom: </span><span>{$elementTab[3].value}<br></span>
										<span class="labelRage">Téléphone: </span><span>{$elementTab[4].value}<br></span>
										<span class="labelRage">E-mail: </span><span>{$elementTab[5].value}<br></span>
										<span class="labelRage">Adresse: </span><span>{$elementTab[6].value}<br></span>
										<span class="labelRage">Code postal: </span><span>{$elementTab[8].value}<br></span>
										<span class="labelRage">Ville: </span><span>{$elementTab[9].value}<br></span>
										<span class="labelRage">Pays: </span><span>{$elementTab[10].value}<br></span><br>
										<span class="labelRage">Nom et Prénom pour l'expedition des résultats (si différent de l'adresse du propriétaire): </span><span>{$elementTab[21].value}<br></span>
										<span class="labelRage">Adresse: </span><span>{$elementTab[22].value}<br></span>
										<span class="labelRage">Code postal: </span><span>{$elementTab[24].value}<br></span>
										<span class="labelRage">Ville: </span><span>{$elementTab[25].value}<br></span>
										<span class="labelRage">Pays: </span><span>{$elementTab[26].value}<br></span>

									</td>
									<td>
										<span class="labelRage">Clinique vétérinaire: </span><span>{$elementTab[71].value}<br></span>
										<span class="labelRage">Nom: </span><span>{$elementTab[11].value}<br></span>
										<span class="labelRage">Prénom: </span><span>{$elementTab[12].value}<br></span>
										<span class="labelRage">Téléphone: </span><span>{$elementTab[13].value}<br></span>
										<span class="labelRage">E-mail: </span><span>{$elementTab[14].value}<br></span>
										<span class="labelRage">Adresse: </span><span>{$elementTab[15].value}<br></span>
										<span class="labelRage">Code postal: </span><span>{$elementTab[17].value}<br></span>
										<span class="labelRage">Ville: </span><span>{$elementTab[19].value}<br></span>
										<span class="labelRage">Pays: </span><span>{$elementTab[20].value}<br></span>
									</td>
								{else}
									<td>
										<span class="labelRage">Veterany clinic: </span><span>{$elementTab[71].value}<br></span>
										<span class="labelRage">Ms/Mr: </span><span>{$elementTab[1].value}<br></span>
										<span class="labelRage">Surname: </span><span>{$elementTab[2].value}<br></span>
										<span class="labelRage">First name: </span><span>{$elementTab[3].value}<br></span>
										<span class="labelRage">Phone number: </span><span>{$elementTab[4].value}<br></span>
										<span class="labelRage">E-mail: </span><span>{$elementTab[5].value}<br></span>
										<span class="labelRage">Address: </span><span>{$elementTab[6].value}<br></span>
										<span class="labelRage">Postal code: </span><span>{$elementTab[8].value}<br></span>
										<span class="labelRage">City: </span><span>{$elementTab[9].value}<br></span>
										<span class="labelRage">Country: </span><span>{$elementTab[10].value}<br></span><br>
										<span class="labelRage">Surname / First name for results sending  (if different of the owner’s address): </span><span>{$elementTab[21].value}<br></span>
										<span class="labelRage">Address: </span><span>{$elementTab[22].value}<br></span>
										<span class="labelRage">Postal code: </span><span>{$elementTab[24].value}<br></span>
										<span class="labelRage">City: </span><span>{$elementTab[25].value}<br></span>
										<span class="labelRage">Country: </span><span>{$elementTab[26].value}<br></span>

									</td>
									<td>
										<span class="labelRage">Surname: </span><span>{$elementTab[11].value}<br></span>
										<span class="labelRage">First name: </span><span>{$elementTab[12].value}<br></span>
										<span class="labelRage">Phone number: </span><span>{$elementTab[13].value}<br></span>
										<span class="labelRage">E-mail: </span><span>{$elementTab[14].value}<br></span>
										<span class="labelRage">Address: </span><span>{$elementTab[15].value}<br></span>
										<span class="labelRage">Postal code: </span><span>{$elementTab[17].value}<br></span>
										<span class="labelRage">City: </span><span>{$elementTab[19].value}<br></span>
										<span class="labelRage">Country: </span><span>{$elementTab[20].value}<br></span>
									</td>
								{/if}
							</tr>
						</table>
						<br>
						<table class="tableauRage">
							<tr>
								{if {$lang_iso} == 'fr'}
									<th class="titreCategorieRage"><h3>Informations sur l'animal</h3></th>

								{else}
									<th class="titreCategorieRage"><h3>Animal details</h3></th>

								{/if}
							</tr>
							<tr>
								<td>
									{if {$lang_iso} == 'fr'}
										
										<span class="labelRage">Espèce: </span><span>{$elementTab[28].value}{$elementTab[29].value}<br></span>
										<span class="labelRage">Date de la prise de sang: </span><span>{$elementTab[27].value}<br></span>
										<span class="labelRage">Date du dernier vaccin antirabique: </span><span>{$elementTab[30].value}<br></span>
										<span class="labelRage">Nom du vaccin antirabique: </span><span>{$elementTab[31].value}<br></span>
										<span class="labelRage">N° lot du vaccin antirabique: </span><span>{$elementTab[32].value}<br></span>
										<span class="labelRage">N° d'identification électronique: </span><span>{$elementTab[33].value}<br></span>
										<span class="labelRage">Date de naissance: </span><span>{$elementTab[34].value}<br></span>
										<span class="labelRage">Pays de destination: </span><span>{$elementTab[69].value}<br></span>
										<span class="labelRage">Nom de l'animal: </span><span>{$elementTab[70].value}<br></span>
										<span class="labelRage">Numéro du tatouage si existant: </span><span>{$elementTab[72].value}<br></span>
									{else}
										<span class="labelRage">Species: </span><span>{$elementTab[28].value}{$elementTab[29].value}<br></span>
										<span class="labelRage">Date of blood sampling : </span><span>{$elementTab[27].value}<br></span>
										<span class="labelRage">Date of last rabies vaccination: </span><span>{$elementTab[30].value}<br></span>
										<span class="labelRage">Name of last rabies vaccination: </span><span>{$elementTab[31].value}<br></span>
										<span class="labelRage">Batch N° of last rabies vaccination: </span><span>{$elementTab[32].value}<br></span>
										<span class="labelRage">Microchip number : </span><span>{$elementTab[33].value}<br></span>
										<span class="labelRage">Date of birth: </span><span>{$elementTab[34].value}<br></span>
										<span class="labelRage">Country going to: </span><span>{$elementTab[69].value}<br></span>
										<span class="labelRage">Animal name: </span><span>{$elementTab[70].value}<br></span>
										<span class="labelRage">Tatouage number: </span><span>{$elementTab[72].value}<br></span>
									{/if}
								</td>
							</tr>
						</table>
						<br>
						{if {$lang_iso} == 'fr'}
							<table>
								<tr>
									<td class="titreCategorieRage signature" style="vertical-align:middle"><br><h3>Signature et cachet du vétérinaire (obligatoire)</h3></td>
									<td class="cadreSignature"></td>
								</tr>
							</table>
						{else}
							<table>
								<tr>
									<td class="titreCategorieRage signature"><br><h3>Signature and stamp of veterinarian (mandatory)</h3></td>
									<td class="cadreSignature"></td>
								</tr>
							</table>
						{/if}

					{/if}
					{if {counter name=nbForm}!={$customizationPerAddress|@count}}
						<tr class="customization_data {$bgcolor_class}" style="page-break-after: always">
							<td><div style="height:120px"></div></td>
						</tr>
					{/if}
				{/foreach}
			{/foreach}
		{/foreach}
	</table>
{else}
	<table class="product" width="100%" cellpadding="4" cellspacing="0">

		<thead>
		<tr>
			<th class="product header small" width="{$layout.reference.width}%">{l s='Reference' pdf='true'}</th>
			<th class="product header small" width="{$layout.product.width}%">{l s='Product' pdf='true'}</th>
			<th class="product header small" width="{$layout.tax_code.width}%">{l s='Tax Rate' pdf='true'}</th>

			{if isset($layout.before_discount)}
				<th class="product header small" width="{$layout.unit_price_tax_excl.width}%">{l s='Base price' pdf='true'} <br /> {l s='(Tax excl.)' pdf='true'}</th>
			{/if}

			<th class="product header-right small" width="{$layout.unit_price_tax_excl.width}%">{l s='Unit Price' pdf='true'} <br /> {l s='(Tax excl.)' pdf='true'}</th>
			<th class="product header small" width="{$layout.quantity.width}%">{l s='Qty' pdf='true'}</th>
			<th class="product header-right small" width="{$layout.total_tax_excl.width}%">{l s='Total' pdf='true'} <br /> {l s='(Tax excl.)' pdf='true'}</th>
		</tr>
		</thead>

		<tbody>

		<!-- PRODUCTS -->
		{foreach $order_details as $order_detail}
			{cycle values=["color_line_even", "color_line_odd"] assign=bgcolor_class}
			<tr class="product {$bgcolor_class}">

				<td class="product center">
					{$order_detail.product_reference}
				</td>
				<td class="product left">
					{if $display_product_images}
						<table width="100%">
							<tr>
								<td width="15%">
									{if isset($order_detail.image) && $order_detail.image->id}
										{$order_detail.image_tag}
									{/if}
								</td>
								<td width="5%">&nbsp;</td>
								<td width="80%">
									{$order_detail.product_name}
								</td>
							</tr>
						</table>
					{else}
						{$order_detail.product_name}
					{/if}

				</td>
				<td class="product center">
					{$order_detail.order_detail_tax_label}
				</td>

				{if isset($layout.before_discount)}
					<td class="product center">
						{if isset($order_detail.unit_price_tax_excl_before_specific_price)}
							{displayPrice currency=$order->id_currency price=$order_detail.unit_price_tax_excl_before_specific_price}
						{else}
							--
						{/if}
					</td>
				{/if}

				<td class="product right">
					{displayPrice currency=$order->id_currency price=$order_detail.unit_price_tax_excl_including_ecotax}
					{if $order_detail.ecotax_tax_excl > 0}
						<br>
						<small>{{displayPrice currency=$order->id_currency price=$order_detail.ecotax_tax_excl}|string_format:{l s='ecotax: %s' pdf='true'}}</small>
					{/if}
				</td>
				<td class="product center">
					{$order_detail.product_quantity}
				</td>
				<td  class="product right">
					{displayPrice currency=$order->id_currency price=$order_detail.total_price_tax_excl_including_ecotax}
				</td>
			</tr>
		{/foreach}
		<!-- END PRODUCTS -->

		<!-- CART RULES -->

		{assign var="shipping_discount_tax_incl" value="0"}
		{foreach from=$cart_rules item=cart_rule name="cart_rules_loop"}
			{if $smarty.foreach.cart_rules_loop.first}
				<tr class="discount">
					<th class="header" colspan="{$layout._colCount}">
						{l s='Discounts' pdf='true'}
					</th>
				</tr>
			{/if}
			<tr class="discount">
				<td class="white right" colspan="{$layout._colCount - 1}">
					{$cart_rule.name}
				</td>
				<td class="right white">
					- {displayPrice currency=$order->id_currency price=$cart_rule.value_tax_excl}
				</td>
			</tr>
		{/foreach}

		</tbody>

	</table>
{/if}
